# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AccessRule,
    AgentConfiguration,
    AgentUpgrade,
    AgentVersion,
    AgentVersionsList,
    AvailablePatchCountByClassification,
    CloudMetadata,
    ConfigurationExtension,
    ConnectionDetail,
    Disk,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    EsuKey,
    ExtensionPublisher,
    ExtensionPublisherListResult,
    ExtensionTargetProperties,
    ExtensionType,
    ExtensionTypeListResult,
    ExtensionValue,
    ExtensionValueListResult,
    ExtensionValueListResultV2,
    ExtensionValueProperties,
    ExtensionValueV2,
    ExtensionValueV2Properties,
    ExtensionsResourceStatus,
    FirmwareProfile,
    Gateway,
    GatewayUpdate,
    GatewaysListResult,
    HardwareProfile,
    HybridComputePrivateLinkScope,
    HybridComputePrivateLinkScopeListResult,
    HybridComputePrivateLinkScopeProperties,
    HybridIdentityMetadata,
    HybridIdentityMetadataList,
    Identity,
    IpAddress,
    KeyDetails,
    KeyProperties,
    License,
    LicenseDetails,
    LicenseProfile,
    LicenseProfileArmEsuProperties,
    LicenseProfileArmEsuPropertiesWithoutAssignedLicense,
    LicenseProfileMachineInstanceView,
    LicenseProfileMachineInstanceViewEsuProperties,
    LicenseProfileStorageModelEsuProperties,
    LicenseProfileUpdate,
    LicenseProfilesListResult,
    LicenseUpdate,
    LicensesListResult,
    LinuxParameters,
    LocationData,
    Machine,
    MachineAssessPatchesResult,
    MachineExtension,
    MachineExtensionInstanceView,
    MachineExtensionInstanceViewStatus,
    MachineExtensionProperties,
    MachineExtensionUpdate,
    MachineExtensionUpgrade,
    MachineExtensionsListResult,
    MachineInstallPatchesParameters,
    MachineInstallPatchesResult,
    MachineListResult,
    MachineRunCommand,
    MachineRunCommandInstanceView,
    MachineRunCommandScriptSource,
    MachineRunCommandUpdate,
    MachineRunCommandsListResult,
    MachineUpdate,
    NetworkConfiguration,
    NetworkInterface,
    NetworkProfile,
    NetworkSecurityPerimeter,
    NetworkSecurityPerimeterConfiguration,
    NetworkSecurityPerimeterConfigurationListResult,
    NetworkSecurityPerimeterConfigurationReconcileResult,
    NetworkSecurityPerimeterProfile,
    OSProfile,
    OSProfileLinuxConfiguration,
    OSProfileWindowsConfiguration,
    OperationListResult,
    OperationValue,
    OperationValueDisplay,
    PatchSettingsStatus,
    PrivateEndpointConnection,
    PrivateEndpointConnectionDataModel,
    PrivateEndpointConnectionListResult,
    PrivateEndpointConnectionProperties,
    PrivateEndpointProperty,
    PrivateLinkResource,
    PrivateLinkResourceListResult,
    PrivateLinkResourceProperties,
    PrivateLinkScopeValidationDetails,
    PrivateLinkScopesResource,
    PrivateLinkServiceConnectionStateProperty,
    Processor,
    ProductFeature,
    ProductFeatureUpdate,
    ProvisioningIssue,
    ProxyResource,
    ProxyResourceAutoGenerated,
    Resource,
    ResourceAssociation,
    ResourceAutoGenerated,
    ResourceUpdate,
    RunCommandInputParameter,
    RunCommandManagedIdentity,
    ServiceStatus,
    ServiceStatuses,
    Settings,
    SetupExtensionRequest,
    StorageProfile,
    Subnet,
    SystemData,
    TagsResource,
    TrackedResource,
    VolumeLicenseDetails,
    WindowsParameters,
)

from ._hybrid_compute_management_client_enums import (  # type: ignore
    AccessMode,
    AccessRuleDirection,
    AgentConfigurationMode,
    ArcKindEnum,
    AssessmentModeTypes,
    CreatedByType,
    EsuEligibility,
    EsuKeyState,
    EsuServerType,
    ExecutionState,
    ExtensionsStatusLevelTypes,
    GatewayType,
    HotpatchEnablementStatus,
    IdentityKeyStore,
    InstanceViewTypes,
    LastAttemptStatusEnum,
    LicenseAssignmentState,
    LicenseCoreType,
    LicenseEdition,
    LicenseProfileProductType,
    LicenseProfileSubscriptionStatus,
    LicenseProfileSubscriptionStatusUpdate,
    LicenseState,
    LicenseStatus,
    LicenseTarget,
    LicenseType,
    OsType,
    PatchModeTypes,
    PatchOperationStartedBy,
    PatchOperationStatus,
    PatchServiceUsed,
    ProgramYear,
    ProvisioningIssueSeverity,
    ProvisioningIssueType,
    ProvisioningState,
    PublicNetworkAccessType,
    StatusLevelTypes,
    StatusTypes,
    VMGuestPatchClassificationLinux,
    VMGuestPatchClassificationWindows,
    VMGuestPatchRebootSetting,
    VMGuestPatchRebootStatus,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AccessRule",
    "AgentConfiguration",
    "AgentUpgrade",
    "AgentVersion",
    "AgentVersionsList",
    "AvailablePatchCountByClassification",
    "CloudMetadata",
    "ConfigurationExtension",
    "ConnectionDetail",
    "Disk",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "EsuKey",
    "ExtensionPublisher",
    "ExtensionPublisherListResult",
    "ExtensionTargetProperties",
    "ExtensionType",
    "ExtensionTypeListResult",
    "ExtensionValue",
    "ExtensionValueListResult",
    "ExtensionValueListResultV2",
    "ExtensionValueProperties",
    "ExtensionValueV2",
    "ExtensionValueV2Properties",
    "ExtensionsResourceStatus",
    "FirmwareProfile",
    "Gateway",
    "GatewayUpdate",
    "GatewaysListResult",
    "HardwareProfile",
    "HybridComputePrivateLinkScope",
    "HybridComputePrivateLinkScopeListResult",
    "HybridComputePrivateLinkScopeProperties",
    "HybridIdentityMetadata",
    "HybridIdentityMetadataList",
    "Identity",
    "IpAddress",
    "KeyDetails",
    "KeyProperties",
    "License",
    "LicenseDetails",
    "LicenseProfile",
    "LicenseProfileArmEsuProperties",
    "LicenseProfileArmEsuPropertiesWithoutAssignedLicense",
    "LicenseProfileMachineInstanceView",
    "LicenseProfileMachineInstanceViewEsuProperties",
    "LicenseProfileStorageModelEsuProperties",
    "LicenseProfileUpdate",
    "LicenseProfilesListResult",
    "LicenseUpdate",
    "LicensesListResult",
    "LinuxParameters",
    "LocationData",
    "Machine",
    "MachineAssessPatchesResult",
    "MachineExtension",
    "MachineExtensionInstanceView",
    "MachineExtensionInstanceViewStatus",
    "MachineExtensionProperties",
    "MachineExtensionUpdate",
    "MachineExtensionUpgrade",
    "MachineExtensionsListResult",
    "MachineInstallPatchesParameters",
    "MachineInstallPatchesResult",
    "MachineListResult",
    "MachineRunCommand",
    "MachineRunCommandInstanceView",
    "MachineRunCommandScriptSource",
    "MachineRunCommandUpdate",
    "MachineRunCommandsListResult",
    "MachineUpdate",
    "NetworkConfiguration",
    "NetworkInterface",
    "NetworkProfile",
    "NetworkSecurityPerimeter",
    "NetworkSecurityPerimeterConfiguration",
    "NetworkSecurityPerimeterConfigurationListResult",
    "NetworkSecurityPerimeterConfigurationReconcileResult",
    "NetworkSecurityPerimeterProfile",
    "OSProfile",
    "OSProfileLinuxConfiguration",
    "OSProfileWindowsConfiguration",
    "OperationListResult",
    "OperationValue",
    "OperationValueDisplay",
    "PatchSettingsStatus",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionDataModel",
    "PrivateEndpointConnectionListResult",
    "PrivateEndpointConnectionProperties",
    "PrivateEndpointProperty",
    "PrivateLinkResource",
    "PrivateLinkResourceListResult",
    "PrivateLinkResourceProperties",
    "PrivateLinkScopeValidationDetails",
    "PrivateLinkScopesResource",
    "PrivateLinkServiceConnectionStateProperty",
    "Processor",
    "ProductFeature",
    "ProductFeatureUpdate",
    "ProvisioningIssue",
    "ProxyResource",
    "ProxyResourceAutoGenerated",
    "Resource",
    "ResourceAssociation",
    "ResourceAutoGenerated",
    "ResourceUpdate",
    "RunCommandInputParameter",
    "RunCommandManagedIdentity",
    "ServiceStatus",
    "ServiceStatuses",
    "Settings",
    "SetupExtensionRequest",
    "StorageProfile",
    "Subnet",
    "SystemData",
    "TagsResource",
    "TrackedResource",
    "VolumeLicenseDetails",
    "WindowsParameters",
    "AccessMode",
    "AccessRuleDirection",
    "AgentConfigurationMode",
    "ArcKindEnum",
    "AssessmentModeTypes",
    "CreatedByType",
    "EsuEligibility",
    "EsuKeyState",
    "EsuServerType",
    "ExecutionState",
    "ExtensionsStatusLevelTypes",
    "GatewayType",
    "HotpatchEnablementStatus",
    "IdentityKeyStore",
    "InstanceViewTypes",
    "LastAttemptStatusEnum",
    "LicenseAssignmentState",
    "LicenseCoreType",
    "LicenseEdition",
    "LicenseProfileProductType",
    "LicenseProfileSubscriptionStatus",
    "LicenseProfileSubscriptionStatusUpdate",
    "LicenseState",
    "LicenseStatus",
    "LicenseTarget",
    "LicenseType",
    "OsType",
    "PatchModeTypes",
    "PatchOperationStartedBy",
    "PatchOperationStatus",
    "PatchServiceUsed",
    "ProgramYear",
    "ProvisioningIssueSeverity",
    "ProvisioningIssueType",
    "ProvisioningState",
    "PublicNetworkAccessType",
    "StatusLevelTypes",
    "StatusTypes",
    "VMGuestPatchClassificationLinux",
    "VMGuestPatchClassificationWindows",
    "VMGuestPatchRebootSetting",
    "VMGuestPatchRebootStatus",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
